2

I updated to Tex Live 2015 on Ubuntu 14.04. When I try to update the packages using the following command

tlmgr update --self --all

I get the following error:

tlmgr: package repository http://ctan.uib.no/systems/texlive/tlnet

Fundamental package texlive.infra not present, uh oh, goodbyeShould not happen, texlive.infra not found at /usr/local/texlive/2015/bin/i386-linux/tlmgr line 6110.

Any idea to figure out this problem. Any help will be highly appreciated. Thanks

tlmgr show texlive.infra says

tlmgr: package repository http://ctan.uib.no/systems/texlive/tlnet
package:     texlive.infra
category:    TLCore
shortdesc:   basic TeX Live infrastructure
longdesc:    This package contains the files needed to get the TeX Live tools (notably tlmgr) running: perl modules, xz binaries, plus (sometimes) tar and wget.  These files end up in the standalone install packages, and in the tlcritical repository.
installed:   No
sizes:       doc: 185k, run: 1057k, bin: 349k
relocatable: No
collection:  collection-basic

Do I need to reinstall Tex Live 2015? Or there is any workaround for this problem.

  • perhaps a faulty repo. Try manually specifying another repo, ctan.org/mirrors – daleif Jul 16 '15 at 11:10
  • @daleif: Please can you explain in more detail. – MYaseen208 Jul 16 '15 at 11:11
  • Do I need to reinstall Tex Live 2015? Or there is any workaround for this problem. – MYaseen208 Jul 16 '15 at 11:15
  • No, just ask tlmgr to use a different repository to get its data from. That is what tlmgr is complaining about above. texlive.infra does no seem to be present on the repository that you are currently using, and it HAS to. So something is wrong with that mirror. Just choose a different one. I had to switch to one in the Netherlands because the Danish mirror was unreliable. – daleif Jul 16 '15 at 11:23
  • BTW: texlive.intra is present in that repository. – daleif Jul 16 '15 at 12:03
4

After a chat session, we seem to have a grip with what is going on. The intra file seems corrupt. This can happen sometimes. Best method to fix is is to go to http://ctan.org/tex-archive/systems/texlive/tlnet and download (this is for Linux and Mac, there is also an .exe file for Windows) and then run it.

sh up­date-tlmgr-lat­est.sh

then everything should be working again.

(this is most likely a duplicate of another answer)

  • Tried different mirror but getting the same error. – MYaseen208 Jul 16 '15 at 11:57
  • Yes I tried it as root. TL15 is working fine but I'm afraid that it is not installed properly. Might be internet broken during installing, that is I want to update packages. – MYaseen208 Jul 16 '15 at 12:13
  • On root sudo which tlmgr doesn't show anything but which tlmgr says /usr/local/texlive/2015/bin/i386-linux//tlmgr. – MYaseen208 Jul 16 '15 at 12:18
  • For Ubuntu the command worked with kdesudo sh -c 'PATH=$PATH:/usr/local/texlive/2016/bin/x86_64-linux sh update-tlmgr-r44836.sh' – Oli Aug 4 '17 at 10:31

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.